package com.mortals.xhx.module.attendance.model;

import java.util.List;
import java.util.List;
import com.mortals.xhx.module.attendance.model.AttendanceGroupEntity;
/**
* 考勤组信息查询对象
*
* @author zxfei
* @date 2023-04-08
*/
public class AttendanceGroupQuery extends AttendanceGroupEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 考勤组名称 */
    private List<String> groupNameList;

    /** 考勤组名称排除列表 */
    private List <String> groupNameNotList;
    /** 开始 参与考勤人数 */
    private Integer personNumStart;

    /** 结束 参与考勤人数 */
    private Integer personNumEnd;

    /** 增加 参与考勤人数 */
    private Integer personNumIncrement;

    /** 参与考勤人数列表 */
    private List <Integer> personNumList;

    /** 参与考勤人数排除列表 */
    private List <Integer> personNumNotList;

    /** 开始 类型(1.固定班制,2.排班制,3.自由工时) */
    private Integer typeStart;

    /** 结束 类型(1.固定班制,2.排班制,3.自由工时) */
    private Integer typeEnd;

    /** 增加 类型(1.固定班制,2.排班制,3.自由工时) */
    private Integer typeIncrement;

    /** 类型(1.固定班制,2.排班制,3.自由工时)列表 */
    private List <Integer> typeList;

    /** 类型(1.固定班制,2.排班制,3.自由工时)排除列表 */
    private List <Integer> typeNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 开始 未参与考勤人数 */
    private Integer personNumNoStart;

    /** 结束 未参与考勤人数 */
    private Integer personNumNoEnd;

    /** 增加 未参与考勤人数 */
    private Integer personNumNoIncrement;

    /** 未参与考勤人数列表 */
    private List <Integer> personNumNoList;

    /** 未参与考勤人数排除列表 */
    private List <Integer> personNumNoNotList;

    /** 考勤方式(地点打卡. 地点打卡, Wi-Fi打卡. Wi-Fi打卡, 蓝牙打卡. 蓝牙打卡, 考勤机打卡. 考勤机打卡) */
    private List<String> attendanceTypeList;

    /** 考勤方式(地点打卡. 地点打卡, Wi-Fi打卡. Wi-Fi打卡, 蓝牙打卡. 蓝牙打卡, 考勤机打卡. 考勤机打卡)排除列表 */
    private List <String> attendanceTypeNotList;
    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<AttendanceGroupQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<AttendanceGroupQuery> andConditionList;

    public AttendanceGroupQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 考勤组名称
    * @return groupNameList
    */
    public List<String> getGroupNameList(){
        return this.groupNameList;
    }

    /**
    * 设置 考勤组名称
    * @param groupNameList
    */
    public void setGroupNameList(List<String> groupNameList){
        this.groupNameList = groupNameList;
    }

    /**
    * 获取 考勤组名称
    * @return groupNameNotList
    */
    public List<String> getGroupNameNotList(){
        return this.groupNameNotList;
    }

    /**
    * 设置 考勤组名称
    * @param groupNameNotList
    */
    public void setGroupNameNotList(List<String> groupNameNotList){
        this.groupNameNotList = groupNameNotList;
    }

    /**
    * 获取 开始 参与考勤人数
    * @return personNumStart
    */
    public Integer getPersonNumStart(){
        return this.personNumStart;
    }

    /**
    * 设置 开始 参与考勤人数
    * @param personNumStart
    */
    public void setPersonNumStart(Integer personNumStart){
        this.personNumStart = personNumStart;
    }

    /**
    * 获取 结束 参与考勤人数
    * @return $personNumEnd
    */
    public Integer getPersonNumEnd(){
        return this.personNumEnd;
    }

    /**
    * 设置 结束 参与考勤人数
    * @param personNumEnd
    */
    public void setPersonNumEnd(Integer personNumEnd){
        this.personNumEnd = personNumEnd;
    }

    /**
    * 获取 增加 参与考勤人数
    * @return personNumIncrement
    */
    public Integer getPersonNumIncrement(){
        return this.personNumIncrement;
    }

    /**
    * 设置 增加 参与考勤人数
    * @param personNumIncrement
    */
    public void setPersonNumIncrement(Integer personNumIncrement){
        this.personNumIncrement = personNumIncrement;
    }

    /**
    * 获取 参与考勤人数
    * @return personNumList
    */
    public List<Integer> getPersonNumList(){
        return this.personNumList;
    }

    /**
    * 设置 参与考勤人数
    * @param personNumList
    */
    public void setPersonNumList(List<Integer> personNumList){
        this.personNumList = personNumList;
    }

    /**
    * 获取 参与考勤人数
    * @return personNumNotList
    */
    public List<Integer> getPersonNumNotList(){
        return this.personNumNotList;
    }

    /**
    * 设置 参与考勤人数
    * @param personNumNotList
    */
    public void setPersonNumNotList(List<Integer> personNumNotList){
        this.personNumNotList = personNumNotList;
    }


    /**
    * 获取 开始 类型(1.固定班制,2.排班制,3.自由工时)
    * @return typeStart
    */
    public Integer getTypeStart(){
        return this.typeStart;
    }

    /**
    * 设置 开始 类型(1.固定班制,2.排班制,3.自由工时)
    * @param typeStart
    */
    public void setTypeStart(Integer typeStart){
        this.typeStart = typeStart;
    }

    /**
    * 获取 结束 类型(1.固定班制,2.排班制,3.自由工时)
    * @return $typeEnd
    */
    public Integer getTypeEnd(){
        return this.typeEnd;
    }

    /**
    * 设置 结束 类型(1.固定班制,2.排班制,3.自由工时)
    * @param typeEnd
    */
    public void setTypeEnd(Integer typeEnd){
        this.typeEnd = typeEnd;
    }

    /**
    * 获取 增加 类型(1.固定班制,2.排班制,3.自由工时)
    * @return typeIncrement
    */
    public Integer getTypeIncrement(){
        return this.typeIncrement;
    }

    /**
    * 设置 增加 类型(1.固定班制,2.排班制,3.自由工时)
    * @param typeIncrement
    */
    public void setTypeIncrement(Integer typeIncrement){
        this.typeIncrement = typeIncrement;
    }

    /**
    * 获取 类型(1.固定班制,2.排班制,3.自由工时)
    * @return typeList
    */
    public List<Integer> getTypeList(){
        return this.typeList;
    }

    /**
    * 设置 类型(1.固定班制,2.排班制,3.自由工时)
    * @param typeList
    */
    public void setTypeList(List<Integer> typeList){
        this.typeList = typeList;
    }

    /**
    * 获取 类型(1.固定班制,2.排班制,3.自由工时)
    * @return typeNotList
    */
    public List<Integer> getTypeNotList(){
        return this.typeNotList;
    }

    /**
    * 设置 类型(1.固定班制,2.排班制,3.自由工时)
    * @param typeNotList
    */
    public void setTypeNotList(List<Integer> typeNotList){
        this.typeNotList = typeNotList;
    }


    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 获取 开始 未参与考勤人数
    * @return personNumNoStart
    */
    public Integer getPersonNumNoStart(){
        return this.personNumNoStart;
    }

    /**
    * 设置 开始 未参与考勤人数
    * @param personNumNoStart
    */
    public void setPersonNumNoStart(Integer personNumNoStart){
        this.personNumNoStart = personNumNoStart;
    }

    /**
    * 获取 结束 未参与考勤人数
    * @return $personNumNoEnd
    */
    public Integer getPersonNumNoEnd(){
        return this.personNumNoEnd;
    }

    /**
    * 设置 结束 未参与考勤人数
    * @param personNumNoEnd
    */
    public void setPersonNumNoEnd(Integer personNumNoEnd){
        this.personNumNoEnd = personNumNoEnd;
    }

    /**
    * 获取 增加 未参与考勤人数
    * @return personNumNoIncrement
    */
    public Integer getPersonNumNoIncrement(){
        return this.personNumNoIncrement;
    }

    /**
    * 设置 增加 未参与考勤人数
    * @param personNumNoIncrement
    */
    public void setPersonNumNoIncrement(Integer personNumNoIncrement){
        this.personNumNoIncrement = personNumNoIncrement;
    }

    /**
    * 获取 未参与考勤人数
    * @return personNumNoList
    */
    public List<Integer> getPersonNumNoList(){
        return this.personNumNoList;
    }

    /**
    * 设置 未参与考勤人数
    * @param personNumNoList
    */
    public void setPersonNumNoList(List<Integer> personNumNoList){
        this.personNumNoList = personNumNoList;
    }

    /**
    * 获取 未参与考勤人数
    * @return personNumNoNotList
    */
    public List<Integer> getPersonNumNoNotList(){
        return this.personNumNoNotList;
    }

    /**
    * 设置 未参与考勤人数
    * @param personNumNoNotList
    */
    public void setPersonNumNoNotList(List<Integer> personNumNoNotList){
        this.personNumNoNotList = personNumNoNotList;
    }


    /**
    * 获取 考勤方式(地点打卡. 地点打卡, Wi-Fi打卡. Wi-Fi打卡, 蓝牙打卡. 蓝牙打卡, 考勤机打卡. 考勤机打卡)
    * @return attendanceTypeList
    */
    public List<String> getAttendanceTypeList(){
        return this.attendanceTypeList;
    }

    /**
    * 设置 考勤方式(地点打卡. 地点打卡, Wi-Fi打卡. Wi-Fi打卡, 蓝牙打卡. 蓝牙打卡, 考勤机打卡. 考勤机打卡)
    * @param attendanceTypeList
    */
    public void setAttendanceTypeList(List<String> attendanceTypeList){
        this.attendanceTypeList = attendanceTypeList;
    }

    /**
    * 获取 考勤方式(地点打卡. 地点打卡, Wi-Fi打卡. Wi-Fi打卡, 蓝牙打卡. 蓝牙打卡, 考勤机打卡. 考勤机打卡)
    * @return attendanceTypeNotList
    */
    public List<String> getAttendanceTypeNotList(){
        return this.attendanceTypeNotList;
    }

    /**
    * 设置 考勤方式(地点打卡. 地点打卡, Wi-Fi打卡. Wi-Fi打卡, 蓝牙打卡. 蓝牙打卡, 考勤机打卡. 考勤机打卡)
    * @param attendanceTypeNotList
    */
    public void setAttendanceTypeNotList(List<String> attendanceTypeNotList){
        this.attendanceTypeNotList = attendanceTypeNotList;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public AttendanceGroupQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public AttendanceGroupQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public AttendanceGroupQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public AttendanceGroupQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public AttendanceGroupQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public AttendanceGroupQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }


	/**
    * 设置 考勤组名称
    * @param groupName
    */
    public AttendanceGroupQuery groupName(String groupName){
        setGroupName(groupName);
		return this;
    }

    /**
    * 设置 考勤组名称
    * @param groupNameList
    */
    public AttendanceGroupQuery groupNameList(List<String> groupNameList){
        this.groupNameList = groupNameList;
		return this;
    }

    /**
    * 设置  参与考勤人数
    * @param personNum
    */
    public AttendanceGroupQuery personNum(Integer personNum){
	    setPersonNum(personNum);
		return this;
    }
	
	 /**
    * 设置 开始 参与考勤人数
    * @param personNumStart
    */
    public AttendanceGroupQuery personNumStart(Integer personNumStart){
		this.personNumStart = personNumStart;
		return this;
    }

    /**
    * 设置 结束 参与考勤人数
    * @param personNumEnd
    */
    public AttendanceGroupQuery personNumEnd(Integer personNumEnd){
		this.personNumEnd = personNumEnd;
		return this;
    }

    /**
    * 设置 增加 参与考勤人数
    * @param personNumIncrement
    */
    public AttendanceGroupQuery personNumIncrement(Integer personNumIncrement){
		this.personNumIncrement = personNumIncrement;
		return this;
    }

    /**
    * 设置 参与考勤人数
    * @param personNumList
    */
    public AttendanceGroupQuery personNumList(List<Integer> personNumList){
        this.personNumList = personNumList;
		return this;
        }

        /**
        * 设置 参与考勤人数
        * @param personNumNotList
        */
        public AttendanceGroupQuery personNumNotList(List<Integer> personNumNotList){
        this.personNumNotList = personNumNotList;
        return this;
        }

    /**
    * 设置  类型(1.固定班制,2.排班制,3.自由工时)
    * @param type
    */
    public AttendanceGroupQuery type(Integer type){
	    setType(type);
		return this;
    }
	
	 /**
    * 设置 开始 类型(1.固定班制,2.排班制,3.自由工时)
    * @param typeStart
    */
    public AttendanceGroupQuery typeStart(Integer typeStart){
		this.typeStart = typeStart;
		return this;
    }

    /**
    * 设置 结束 类型(1.固定班制,2.排班制,3.自由工时)
    * @param typeEnd
    */
    public AttendanceGroupQuery typeEnd(Integer typeEnd){
		this.typeEnd = typeEnd;
		return this;
    }

    /**
    * 设置 增加 类型(1.固定班制,2.排班制,3.自由工时)
    * @param typeIncrement
    */
    public AttendanceGroupQuery typeIncrement(Integer typeIncrement){
		this.typeIncrement = typeIncrement;
		return this;
    }

    /**
    * 设置 类型(1.固定班制,2.排班制,3.自由工时)
    * @param typeList
    */
    public AttendanceGroupQuery typeList(List<Integer> typeList){
        this.typeList = typeList;
		return this;
        }

        /**
        * 设置 类型(1.固定班制,2.排班制,3.自由工时)
        * @param typeNotList
        */
        public AttendanceGroupQuery typeNotList(List<Integer> typeNotList){
        this.typeNotList = typeNotList;
        return this;
        }


	/**
    * 设置 备注
    * @param remark
    */
    public AttendanceGroupQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public AttendanceGroupQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public AttendanceGroupQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public AttendanceGroupQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public AttendanceGroupQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public AttendanceGroupQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public AttendanceGroupQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public AttendanceGroupQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public AttendanceGroupQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public AttendanceGroupQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public AttendanceGroupQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public AttendanceGroupQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public AttendanceGroupQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public AttendanceGroupQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 设置  未参与考勤人数
    * @param personNumNo
    */
    public AttendanceGroupQuery personNumNo(Integer personNumNo){
	    setPersonNumNo(personNumNo);
		return this;
    }
	
	 /**
    * 设置 开始 未参与考勤人数
    * @param personNumNoStart
    */
    public AttendanceGroupQuery personNumNoStart(Integer personNumNoStart){
		this.personNumNoStart = personNumNoStart;
		return this;
    }

    /**
    * 设置 结束 未参与考勤人数
    * @param personNumNoEnd
    */
    public AttendanceGroupQuery personNumNoEnd(Integer personNumNoEnd){
		this.personNumNoEnd = personNumNoEnd;
		return this;
    }

    /**
    * 设置 增加 未参与考勤人数
    * @param personNumNoIncrement
    */
    public AttendanceGroupQuery personNumNoIncrement(Integer personNumNoIncrement){
		this.personNumNoIncrement = personNumNoIncrement;
		return this;
    }

    /**
    * 设置 未参与考勤人数
    * @param personNumNoList
    */
    public AttendanceGroupQuery personNumNoList(List<Integer> personNumNoList){
        this.personNumNoList = personNumNoList;
		return this;
        }

        /**
        * 设置 未参与考勤人数
        * @param personNumNoNotList
        */
        public AttendanceGroupQuery personNumNoNotList(List<Integer> personNumNoNotList){
        this.personNumNoNotList = personNumNoNotList;
        return this;
        }


	/**
    * 设置 考勤方式(地点打卡. 地点打卡, Wi-Fi打卡. Wi-Fi打卡, 蓝牙打卡. 蓝牙打卡, 考勤机打卡. 考勤机打卡)
    * @param attendanceType
    */
    public AttendanceGroupQuery attendanceType(String attendanceType){
        setAttendanceType(attendanceType);
		return this;
    }

    /**
    * 设置 考勤方式(地点打卡. 地点打卡, Wi-Fi打卡. Wi-Fi打卡, 蓝牙打卡. 蓝牙打卡, 考勤机打卡. 考勤机打卡)
    * @param attendanceTypeList
    */
    public AttendanceGroupQuery attendanceTypeList(List<String> attendanceTypeList){
        this.attendanceTypeList = attendanceTypeList;
		return this;
    }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<AttendanceGroupQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<AttendanceGroupQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<AttendanceGroupQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<AttendanceGroupQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}